Upgrading to Bullseye?



  • Hi all,

    my Neuron M103 is running

    root@neuron:~# cat /etc/issue
    Raspbian GNU/Linux 10 \n \l
    
    root@neuron:~# uname -a
    Linux neuron 5.10.60-v7+ #1449 SMP Wed Aug 25 15:00:01 BST 2021 armv7l GNU/Linux
    

    As this is oldstable I am thinking of upgrading to stable/ Bullseye (based on Debian11).

    I am unsure about the Unipi repository. I found the KB article but this did not help.
    Currently my /etc/apt/sources.list.d/unipi.list says:

    root@neuron:/etc/apt/sources.list.d# cat unipi.list
    deb https://repo.unipi.technology/debian buster main
    

    Going to the repo main page it does not display any version information.

    So my question here is:
    Is it possible to upgrade to Bullseye? Or is the UniPi repository not yet at Bullseye?

    How can I retrieve this information?

    Thanks!

    /KNEBB


  • administrators

    Hi @knebb,
    we are currently working on the Bullseye packages for the Unipi PLCs, but some important are still missing. The official release from our side will be after the official release of the RaspberryPI OS.

    Best regards,
    Martin



  • and what about OS for Patron devices? When we can expect (stable & fully functional) upgrade of Node-Red OS or OpenSource OS? Thank you


  • administrators

    Hi @lukas009,
    it is the same issue. We will release Bullseye OS images once the support for all products is done. Looks like it could be next month.

    Best regards,
    Martin


Log in to reply